import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { SpeechRecognitionService } from '../speech-recognition.service';
import { TextToSpeechService } from '../text-to-speech.service';
import * as i0 from "@angular/core";
export declare class SpeechRecognitionComponent implements OnInit, OnDestroy {
    private readonly speechRecognitionService;
    private readonly textToSpeechService;
    private readonly translateService;
    private static TOOLBAR_ACTIVE;
    textAreaElement: HTMLTextAreaElement;
    keepContext: boolean;
    speechRecognitionPlaceholder: string;
    private _recognizedText;
    private originalTextAreaElementText;
    private isDoneTextToSpeech;
    private readonly onDestroy$;
    private readonly VOICE_SPEEDS;
    private readonly keydownEventListener;
    disabled: boolean;
    isListeningUserVoice: boolean;
    voiceSpeed: number;
    isDisabledMicrophone: boolean;
    canRenderMicrophone: boolean;
    canRenderTextToSpeech: boolean;
    canRenderListeningText: boolean;
    canRenderDiscard: boolean;
    canRenderAprove: boolean;
    canRenderTextToSpeechToolbar: boolean;
    isPlayingTextToSpeech: boolean;
    recognizedText: EventEmitter<string>;
    constructor(speechRecognitionService: SpeechRecognitionService, textToSpeechService: TextToSpeechService, translateService: TranslateService);
    ngOnInit(): void;
    onListen(): void;
    private scrollTextAreaBottom;
    onOpenToolbar(): void;
    onCloseToolbar(): void;
    onDiscard(): void;
    onAprove(): void;
    ngOnDestroy(): void;
    toggleTextToSpeech(): void;
    restartTextToSpeech(): void;
    updateVoiceSpeed(): void;
    stopListening(): void;
    get isListening(): boolean;
    get hasSpeechRecognitionBrowserApi(): boolean;
    get isDisabledTextToSpeech(): boolean;
    private setTextAreaValue;
    private stopTextToSpeech;
    private speak;
    private get textToSpeech();
    static ɵfac: i0.ɵɵFactoryDeclaration<SpeechRecognitionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpeechRecognitionComponent, "s-speech-recognition", never, { "textAreaElement": { "alias": "textAreaElement"; "required": true; }; "keepContext": { "alias": "keepContext"; "required": false; }; "speechRecognitionPlaceholder": { "alias": "speechRecognitionPlaceholder"; "required": false; }; }, { "recognizedText": "recognizedText"; }, never, never, false, never>;
}
